import subprocess

class Bootiso():
    def __init__(self, version, release, repos, outputdir, product='Fedora'):
        self.version = version
        self.release = release
        self.repos = repos
        self.product = product
        self.outputdir = outputdir
        self.args = []

    def prep_lorax_args(self):
        self.args.append('-p')
        self.args.append(self.product)
        self.args.append('-v')
        self.args.append(self.version)
        self.args.append('-r')
        self.args.append(self.release)

        for repo in self.repos:
            self.args.append('-s')
            self.args.append(repo[1])

        self.args.append(self.outputdir)

    def make_iso(self):
        self.prep_lorax_args()

        process_call = ['lorax']
        process_call.extend(self.args)

        print ' '.join(process_call)
        print process_call
        subprocess.call(process_call)
